package one

import (
	_ "embed"
	"os"
	"testing"

	"github.com/onyx-and-iris/aoc2024/day-18/internal/config"
)

//go:embed testdata/input.txt
var data []byte

func BenchmarkSolve(b *testing.B) {
	os.Stdout, _ = os.Open(os.DevNull)
	Solve(data, config.Config{
		Width:          71,
		Height:         71,
		NumCorruptions: 1024,
	})
}
