package eighteen

import (
	"github.com/onyx-and-iris/aoc2024/day-18/internal/config"
	"github.com/onyx-and-iris/aoc2024/day-18/internal/one"
	"github.com/onyx-and-iris/aoc2024/day-18/internal/two"
)

func Solve(buf []byte, config config.Config) (int, string, error) {
	answerOne, err := one.Solve(buf, config)
	if err != nil {
		return 0, "", err
	}

	answerTwo, err := two.Solve(buf, config)
	if err != nil {
		return 0, "", err
	}

	return answerOne, answerTwo, nil
}
