package one

import (
	"bytes"
)

func Solve(buf []byte) (int, error) {
	r := bytes.NewReader(buf)
	graph, err := parseLines(r)
	if err != nil {
		return 0, err
	}

	lowestCost, err := graph.dijkstra()
	if err != nil {
		return 0, err
	}

	return lowestCost, nil
}
